// sxbmedoc.h : interface of the CSxbmemDoc class
//
/////////////////////////////////////////////////////////////////////////////

enum
{
	fmtByte = 0,
	fmtWord,
	fmtDword
};

enum
{
	uavDisplayMemory = 1,
};

class CSxbmemDoc : public CDocument
{
protected: // create from serialization only
	CSxbmemDoc();
	DECLARE_DYNCREATE(CSxbmemDoc)

// Attributes
public:
	CString m_MemAddr;
	DWORD m_MemAddress;
	DWORD m_Size;
	BYTE m_Buffer[16384];

	int m_Format;

	CString m_DefName;
	const CDef *m_Def;

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CSxbmemDoc)
	public:
	virtual BOOL OnNewDocument();
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CSxbmemDoc();
	virtual void Serialize(CArchive& ar);   // overridden for document i/o
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	//{{AFX_MSG(CSxbmemDoc)
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////
